[supervisord]
user = root
loglevel = warn
nodaemon = true
strip_ansi = true
logfile = /var/log/supervisor/supervisord.log      ; default $CWD/supervisord.log
pidfile = /var/run/supervisord.pid                 ; default supervisord.pid
childlogdir = /var/log/supervisor                  ; default $TEMP ('AUTO' child log dir)

[unix_http_server]
file = /dev/shm/supervisor.sock
chmod = 0700
chown = nobody:nogroup
username = docker-mailserver
password = docker-mailserver-password

[supervisorctl]
serverurl = unix:///dev/shm/supervisor.sock        ; use a 'unix://' path for a unix socket
username = docker-mailserver
password = docker-mailserver-password

; must remain in config file for RPC (supervisorctl/web interface) to work, additional
; interfaces may be added by defining them in separate rpcinterface: sections
[rpcinterface:supervisor]
supervisor.rpcinterface_factory = supervisor.rpcinterface:make_main_rpcinterface


[program:rsyslog]
#command=/etc/init.d/rsyslog restart
command=/usr/sbin/rsyslogd -n
stdout_events_enabled=true
stderr_events_enabled=true

[program:postfix]
startsecs=0
stopwaitsecs=55
autostart=true
autorestart=true
command=/usr/local/bin/postfix-wrapper.sh
#command=/usr/lib/postfix/sbin/master -d
#command=/etc/init.d/postfix restart
stdout_events_enabled=true
stderr_events_enabled=true

[program:apache2]
#command=/etc/init.d/apache2 restart
command=/usr/sbin/apache2ctl -c "ErrorLog /dev/stdout" -DFOREGROUND
stdout_events_enabled=true
stderr_events_enabled=true

[program:anacron]
#command=/etc/init.d/anacron restart
command=/usr/sbin/anacron -sd
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-outgoing]
command=/usr/lib/sympa/bin/bulk.pl -F
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-archive]
command=/usr/lib/sympa/bin/archived.pl -F
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-bounce]
command=/usr/lib/sympa/bin/bounced.pl -F
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-task]
command=/usr/lib/sympa/bin/task_manager.pl -F
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa]
command=/usr/lib/sympa/bin/sympa_msg.pl --foreground
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-fcgi]
command=/usr/bin/spawn-fcgi -n -u sympa -g sympa -a 127.0.0.1 -p 8442 /usr/lib/cgi-bin/sympa/wwsympa.fcgi
stdout_events_enabled=true
stderr_events_enabled=true

[program:sympa-soap-fcgi]
command=/usr/bin/spawn-fcgi -n -u sympa -g sympa -a 127.0.0.1 -p 8443 /usr/lib/cgi-bin/sympa/sympa_soap_server.fcgi
stdout_events_enabled=true
stderr_events_enabled=true
